.header {
  color: var(--txt-cl-white);
  padding: 15px 30px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1000;
  background-color: var(--bg-cl);
}

@media screen and (min-width: 480px) {
  .header {
    padding: 15px 40px;
  }
}
@media screen and (min-width: 768px) {
  .header {
    padding: 20px 60px;
  }
}
@media screen and (min-width: 1200px) {
  .header {
    padding: 30px 100px;
  }
}
.nav {
  display: none;
}
@media screen and (min-width: 768px) {
  .nav {
    display: block;
  }
}

.nav__list {
  display: flex;
  gap: 20px;
}
.nav__link {
  position: relative;
  transition: all 250ms ease;
}
.nav__link::after {
  position: absolute;
  content: "";
  bottom: -4px;
  left: 0;
  right: 0;
  height: 2px;
  background-color: var(--txt-cl-white);
  transform: scaleX(0);
  transition: all 250ms ease;
}
.nav__link:hover {
  color: var(--txt-cl-white);
}
.nav__link:hover::after {
  transform: scaleX(1);
}
.burger {
  background-color: transparent;
  display: flex;
  flex-direction: column;
  gap: 5px;
  cursor: pointer;
}
@media screen and (min-width: 768px) {
  .burger {
    display: none;
  }
}

.burger__line {
  display: block;
  width: 25px;
  height: 2px;
  background-color: var(--txt-cl-white);
}
/* Footer */
.footer {
  margin-top: auto;
  padding-bottom: 15px;
  padding-top: 15px;
}
@media screen and (min-width: 480px) {
  .footer {
    padding-bottom: 20px;
    padding-top: 20px;
  }
}
@media screen and (min-width: 768px) {
  .footer {
    padding-bottom: 25px;
    padding-top: 25px;
  }
}
@media screen and (min-width: 1200px) {
  .footer {
    padding-bottom: 40px;
    padding-top: 40px;
  }
}
.footer__container {
  display: flex;
  flex-direction: column-reverse;
}
@media screen and (min-width: 480px) {
  .footer__container {
    flex-direction: row;
    align-items: baseline;
    justify-content: space-between;
  }
}
.footer__contacts {
  color: var(--txt-cl-gray);
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
}
@media screen and (min-width: 480px) {
  .footer__contacts {
    align-items: baseline;
  }
}
@media screen and (min-width: 768px) {
  .footer__contacts {
    align-items: baseline;
    flex-direction: column;
  }
}
.footer__copyright {
  margin-bottom: 0px;
  text-align: center;
  font-size: 12px;
  margin-top: 20px;
}

@media screen and (min-width: 480px) {
  .footer__copyright {
    text-align: left;
  }
}
@media screen and (min-width: 768px) {
  .footer__copyright {
    margin-bottom: 20px;
    font-size: 14px;
  }
}
.contacts-list {
  display: flex;
  flex-direction: column;
  gap: 5px;
  margin-bottom: 0px;
}

@media screen and (min-width: 768px) {
  .contacts-list {
    flex-direction: row;
    gap: 10px;
  }
}
.contacts-list__link {
  color: var(--default-txt-cl);
  transition: all 250ms ease;
  font-size: 12px;
}
@media screen and (min-width: 480px) {
  .contacts-list__link {
    font-size: 14px;
  }
}

.contacts-list__link:hover {
  color: var(--txt-cl-gray);
}

.social-links-list {
  display: flex;
  gap: 10px;
  margin: 0 auto;
  margin-bottom: 20px;
}
@media screen and (min-width: 480px) {
  .social-links-list {
    margin: 0;
  }
}

.social-links-list__item {
  position: relative;
}
.social-links-list__item:not(:last-of-type)::after {
  position: absolute;
  content: "";
  right: -6px;
  top: 50%;
  transform: translateY(-50%);
  background-color: var(--txt-cl-gray);
  width: 2px;
  height: 2px;
  border-radius: 50%;
}
.social-links-list__link {
  position: relative;
  color: var(--txt-cl-gray);
  transition: all 250ms ease;
  font-size: 12px;
}
@media screen and (min-width: 480px) {
  .social-links-list__link {
    font-size: 14px;
  }
}

.social-links-list__link::after {
  position: absolute;
  content: "";
  bottom: -3px;
  left: 0;
  right: 0;
  height: 2px;
  background-color: var(--txt-cl-white);
  transform: scaleX(0);
  transition: all 250ms ease;
}
.social-links-list__link:hover {
  color: var(--txt-cl-white);
}
.social-links-list__link:hover::after {
  transform: scaleX(1);
}
